# unfoldingWord Book Packages for Paratext

ULT with TNs as notes and TWs (TWs are a little dated as of Mar 2024) integrated. UST. All setup for Paratext use.
Last updated 3/18/2024

## How to use this:
Download the repo as a zip. Unzip and place the `ULT` and `UST` directories into your `My Paratext 9 Projects` directory. Restart Paratext. Open ULT and UST from `Projects`. Translation notes show as Paratext notes, you can view them individually or open the notes list to see all (as in the screenshot below). TWs can be seen by opening the `Biblical Terms Renderings`, double-clicking the words in the `English` column will open a window--in the `Description` box is the content of the TW article.

![BP in Paratext](https://git.door43.org/unfoldingWord/en_BP_Paratext/raw/branch/master/BP%20in%20Paratext.png)

In order to allow users to comment on notes and resolve completed ones, admins may want to add the following to the `ProjectUserAccess.xml` files:
```
  <User UserName="YOUR_USER'S_NAME_AS_IN_OTHER_PARATEXT_PROJECTS" FirstUser="false" UnregisteredUser="true">
    <Role>Consultant</Role>
    <AllBooks>true</AllBooks>
    <Books />
    <Permissions>
      <Permission Type="TermsList" Granted="false" />
      <Permission Type="Renderings" Granted="false" />
      <Permission Type="Spellings" Granted="false" />
      <Permission Type="Passages" Granted="false" />
      <Permission Type="Progress" Granted="false" />
    </Permissions>
    <AutomaticBooks />
    <AutomaticPermissions />
  </User>
  ```
Set "UnregisteredUser" to true or false depending on your user's Paratext status.

---
## How to make/update this:
- Download and unzip ULT & UST from DCS preview page. 
    - Replace all `{` with `\add ` and  `}` with `\add*` in these ULT/UST.
    - Import these books over ULT/UST project (requires edit permissions).

- Clone ULT, UST, TN, TA, Hebrew OT, Greek NT repos from door43.    
    - Use this script to generate the notes.xml file, place in ULT directory. You will need proskomma and other things installed via npm. Modify directory paths to your own. https://github.com/deferredreward/unfoldingword-scripts-to-work-with-data/blob/main/tsv7%20to%20paratext.js

- In that same github repo there's a script that can convert TWs into the xml files needed for Biblical terms lists in Paratext. https://github.com/deferredreward/unfoldingword-scripts-to-work-with-data/blob/main/tws%20to%20paratext%20biblical%20terms.py
    - You'll need to clone TW and TWL probably, I haven't touched this in a while.
